> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active Data Providers (v2)

> Use the /api/v2/providers endpoint to list which Data Providers a particular Data Recipient is registered with.

Use the `/api/v2/providers` endpoint to list which Data Providers a particular Data Recipient is registered with.

<Note>
  <p class="h4">Use this endpoint if you want to receive a more detailed response</p>

  This endpoint performs a similar function to the [List Active Data Providers (v1)](./list-active-data-providers) endpoint, but returns a more robust data response. Use this endpoint if you need to retrieve any of the data points listed in the 200 HTTPS response, such as Data Provider name, providerId, registration status, and more.
</Note>


## OpenAPI

````yaml /openapi-outbound-auth.yaml GET /api/v2/providers
openapi: 3.0.3
info:
  title: Flinks Outbound Auth API
  description: |
    Flinks Outbound Authentication API.
    Endpoints for generating authorization tokens and authenticating requests.
  version: 3.0.0
servers:
  - url: https://{host}
    description: Flinks Outbound Auth Server
    variables:
      host:
        default: '{host}'
        description: Host URL
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v2/providers:
    get:
      tags:
        - Outbound
      summary: List Active Data Providers (v2)
      description: >-
        Use the /api/v2/providers endpoint to list which Data Providers a
        particular Data Recipient is registered with.
      operationId: listActiveDataProvidersV2
      parameters:
        - name: country
          in: query
          description: >
            Filter the results based on the country that the Data Provider
            operates in. Possible values include:

            - `CA` - Only include Data Providers operating in Canada

            - `US` - Only include Data Providers operating in the US

            - `CA,US` - Only include Data Providers operating in Canada and the
            US
          schema:
            type: string
        - name: isEnabledForClient
          in: query
          description: >
            Filter the results based on each Data Provider's current
            registration status with the Data Recipient (that is calling the
            endpoint).

            - `TRUE` - Returns only Data Providers with the status: `Activated`

            - `FALSE` - Returns only Data Providers with the statuses:
            `Available`, `PendingActivation`, `Suspended`


            If this parameter is excluded or blank, then all Data Providers in
            the system will be returned regardless of registration status.


            **Registration Statuses:**

            - `Activated` - Data Recipient has an active registration status
            with the Data Provider

            - `Available` - Data Recipient is not registered with the Data
            Provider

            - `PendingActivation` - A registration request with the Data
            Provider has been submitted, but not yet activated

            - `Suspended` - A previous registration with the Data Provider has
            been made inactive
          schema:
            type: boolean
        - name: connectorName
          in: query
          description: >-
            Filter the results based on the third-party provider that enables
            access to the Data Provider (such as 'akoya').
          schema:
            type: string
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    providerId:
                      type: integer
                      description: The unique identifier for the Data Provider.
                    name:
                      type: string
                      description: The name of the Data Provider.
                    country:
                      type: string
                      description: The country the Data Provider operates in (CA or US).
                    scopes:
                      type: array
                      items:
                        type: string
                      description: The data scopes available from this Data Provider.
                    status:
                      type: string
                      description: >-
                        The registration status of this Data Provider for the
                        Data Recipient.
                    connectorName:
                      type: string
                      description: >-
                        The third-party provider that enables access to this
                        Data Provider.
                    availableAccountTypes:
                      type: object
                      description: The types of accounts available from this Data Provider.
                      properties:
                        depositAccounts:
                          type: string
                          description: Availability of deposit accounts.
                        investmentAccounts:
                          type: string
                          description: Availability of investment accounts.
                        loanAccounts:
                          type: string
                          description: Availability of loan accounts.
                        locAccounts:
                          type: string
                          description: Availability of line of credit accounts.
              example:
                - provider_id: 1234
                  name: Example Bank
                  country: CA
                  scopes:
                    - ACCOUNT_BASIC
                    - ACCOUNT_DETAILED
                    - TRANSACTIONS
                  status: Activated
                  connectorName: akoya
                  availableAccountTypes:
                    depositAccounts: 'true'
                    investmentAccounts: 'true'
                    loanAccounts: 'true'
                    locAccounts: 'false'
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  status:
                    type: integer
                  detail:
                    type: string
              example:
                title: Bad Request
                status: 400
                detail: The request parameters are invalid.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  status:
                    type: integer
                  detail:
                    type: string
              example:
                title: Unauthorized
                status: 401
                detail: The access token is invalid or expired.
        '500':
          description: Returned when an internal server error occurred.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error message describing the server error.
              example:
                message: Internal Server Error

````